package fr.itsonus.bousoleplussbackend.security;

import javax.crypto.SecretKey;
import javax.crypto.spec.SecretKeySpec;
import java.math.BigInteger;
import java.security.SecureRandom;
import java.util.Base64;

public class SecurityConstants {
    public static final SecretKey JWT_SECRET;

    static {
        var randomGenerator = new SecureRandom();
        byte[] randomBytes = new byte[128];
        randomGenerator.nextBytes(randomBytes);
        JWT_SECRET = new SecretKeySpec(
                Base64.getDecoder().decode(new BigInteger(1, randomBytes).toString(16)),
                "HmacSHA256");
    }
}
